Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class AssociateDhcpOptionsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.AssociateDhcpOptionsRequest

    public class AssociateDhcpOptionsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `AssociateDhcpOptions operation`.

Associates a set of DHCP options (that you've previously created) with the specified VPC. Or, associates the default DHCP options with the VPC. The default set consists of the standard EC2 host name, no domain name, no DNS server, no NTP server, and no NetBIOS server or node type. After you associate the options with the VPC, any existing instances and all new instances that you launch in that VPC use the options. For more information about the supported DHCP options and using them with Amazon VPC, go to Using DHCP Options in the Amazon Virtual Private Cloud Developer Guide.

See Also:
  `AmazonEC2.associateDhcpOptions(AssociateDhcpOptionsRequest)`

Constructor Summary
`AssociateDhcpOptionsRequest()`

Method Summary
`String` | `getDhcpOptionsId()` The ID of the DHCP options to associate with the VPC.
`String` | `getVpcId()` The ID of the VPC to associate the DHCP options with.
`void` | `setDhcpOptionsId(String dhcpOptionsId)` The ID of the DHCP options to associate with the VPC.
`void` | `setVpcId(String vpcId)` The ID of the VPC to associate the DHCP options with.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`AssociateDhcpOptionsRequest` | `withDhcpOptionsId(String dhcpOptionsId)` The ID of the DHCP options to associate with the VPC.
`AssociateDhcpOptionsRequest` | `withVpcId(String vpcId)` The ID of the VPC to associate the DHCP options with.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociateDhcpOptionsRequest

    public AssociateDhcpOptionsRequest()

Method Detail

### getDhcpOptionsId

    public String getDhcpOptionsId()

  The ID of the DHCP options to associate with the VPC. Specify "default" to associate the default DHCP options with the VPC.

  Returns:
    The ID of the DHCP options to associate with the VPC. Specify "default" to associate the default DHCP options with the VPC.

### setDhcpOptionsId

    public void setDhcpOptionsId(String dhcpOptionsId)

  The ID of the DHCP options to associate with the VPC. Specify "default" to associate the default DHCP options with the VPC.

  Parameters:
    `dhcpOptionsId` - The ID of the DHCP options to associate with the VPC. Specify "default" to associate the default DHCP options with the VPC.

### withDhcpOptionsId

    public AssociateDhcpOptionsRequest withDhcpOptionsId(String dhcpOptionsId)

  The ID of the DHCP options to associate with the VPC. Specify "default" to associate the default DHCP options with the VPC.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptionsId` - The ID of the DHCP options to associate with the VPC. Specify "default" to associate the default DHCP options with the VPC.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVpcId

    public String getVpcId()

  The ID of the VPC to associate the DHCP options with.

  Returns:
    The ID of the VPC to associate the DHCP options with.

### setVpcId

    public void setVpcId(String vpcId)

  The ID of the VPC to associate the DHCP options with.

  Parameters:
    `vpcId` - The ID of the VPC to associate the DHCP options with.

### withVpcId

    public AssociateDhcpOptionsRequest withVpcId(String vpcId)

  The ID of the VPC to associate the DHCP options with.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcId` - The ID of the VPC to associate the DHCP options with.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.